# simple_sql_tg_bot

### Клонирование проекта ###

```commandline
git clone https://git.itguild.info/sementodrik/simple_sql_tg_bot.git
cd simple_sql_tg_bot
```
Клонируем проект и переходим в нужную директорию.

<hr>

### Создание виртуального окружения (venv) ###

```commandline
python3 -m venv myenv
```

```myenv``` - это имя вашего виртуального окружения, можно выбрать любое.

Если вы используете **windows(CMD)** то используйте команды с написание ```python``` вместо ```python3```

```commandline
python -m venv myenv
```

<hr>

### Активация виртуального окружения ###

#### Windows (CMD): ####

```commandline
myenv\Scripts\activate
```

если команда выше выдаёт ошибку, то попробуйте вариант ниже

```commandline
.\myenv\Scripts\activate.bat
```

#### Windows (PowerShell): ####

```commandline
.\myenv\Scripts\Activate.ps1
```

#### Linux/macOS: ####

```commandline
source myenv/bin/activate
```

<hr>

### Установка зависимостей ###

```commandline
python3 -m pip install -r req.txt
```

<hr>

После того как вы установите зависимости необходимо будет настроить конфигурационный файл.
Для этого вам нужно зайти в ```config.py``` и вписать токен своего бота

```
TOKEN='XXX:YYY'
```

Теперь нам осталось только запустить бот:
```
python3 bot.py
```